## org.biojava.bio.dp
Interface DotState

All Superinterfaces:
  Annotatable, AtomicSymbol, BasisSymbol, Changeable, State, Symbol

All Known Implementing Classes:
  SimpleDotState

    public interface DotState

extends State

A Dot state.

Dot states emit no sequence. They are there purely to make the wireing of the model look neater, and to cut down the number of combinatorial transitions that can so easily swamp models.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary

Methods inherited from interface org.biojava.bio.symbol.BasisSymbol
`getSymbols`

Methods inherited from interface org.biojava.bio.symbol.Symbol
`getMatches, getName`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`